fuss-server - Segnalazione #110

Configurazione samba: errore alla creazione
12/12/2016 02:28 PM - Christopher R. Gabriel

Status: Chiuso Start date: 12/13/2016
Priority: Normale Due date:

Assignee: Christopher R. Gabriel % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description
Durante fuss-server create:

ASK [samba : Wait a little, otherwise next commands can fail] ****xFxxxdkxdkrtirx
Pausing for 2 seconds
(ctrl+C then 'C' = continue early, ctrl+C then 'A' = abort)

ok: [localhost]

TASK [samba : Give full privileges to 'Domain Admins' group] ***xkkkdkxtxkkkkhk

failed: [localhost] (item=SeRemoteShutdownPrivilege) => {"changed": true, "cmd": ["net", "rpc", "r

ights", "grant", "Domain Admins", "SeRemoteShutdownPrivilege", "-U", "admin%antani"], "delta": "O:
00:00.040709", "end": "2016-12-12 14:28:01.399177", "failed": true, "item": "SeRemoteShutdownPrivi

lege", "rc": 255, "start": "2016-12-12 14:28:01.358468", "stderr": "smb_signing_good: BAD SIG: seq
1\nCould not connect to server 127.0.0.1\nConnection failed: NT_STATUS_ACCESS_DENIED", "stdout":
"', "stdout_lines": [], "warnings": []}

failed: [localhost] (item=SeMachineAccountPrivilege) => {"changed": true, "cmd": ["net", "rpc", "r
ights", "grant", "Domain Admins", "SeMachineAccountPrivilege", "-U", "admin%antani"], "delta": "O:
00:00.036665", "end": "2016-12-12 14:28:01.551647", "failed": true, "item": "SeMachineAccountPrivi
lege", "rc": 255, "start": "2016-12-12 14:28:01.514982", "stderr": "smb_signing_good: BAD SIG: seq

1\nCould not connect to server 127.0.0.1\nConnection failed: NT_STATUS_ACCESS_DENIED", "stdout":
"", "stdout_lines": [], "warnings": []}
failed: [localhost] (item=SePrintOperatorPrivilege) => {"changed": true, "cmd": ["net", "rpc", "ri
ghts", "grant", "Domain Admins", "SePrintOperatorPrivilege", "-U", "admin%antani"], "delta": "0:00
:00.036640", "end": "2016-12-12 14:28:01.700739", "failed": true, "item": "SePrintOperatorPrivileg
e", "rc": 255, "start": "2016-12-12 14:28:01.664099", "stderr": "smb_signing_good: BAD SIG: seq 1\
nCould not connect to server 127.0.0.1\nConnection failed: NT_STATUS_ACCESS_DENIED", "stdout": "",
"stdout_lines": [], "warnings": []}
failed: [localhost] (item=SeAddUsersPrivilege) => {"changed": true, "cmd": ["net", "rpc", "rights"
, "grant", "Domain Admins", "SeAddUsersPrivilege", "-U", "admin%antani"], "delta": "0:00:00.037443
", "end": "2016-12-12 14:28:01.851441", "failed": true, "item": "SeAddUsersPrivilege", "rc": 255,
"start": "2016-12-12 14:28:01.813998", "stderr": "smb_signing_good: BAD SIG: seq 1\nCould not conn
ect to server 127.0.0.1\nConnection failed: NT_STATUS_ACCESS_DENIED", "stdout": "", "stdout_lines"
[1, "warnings": []}
failed: [localhost] (item=SeDiskOperatorPrivilege) => {"changed": true, "cmd": ["net", "rpc", "rig
hts", "grant", "Domain Admins", "SeDiskOperatorPrivilege", "-U", "admin%antani"], "delta": "0:00:0
0.037264", "end": "2016-12-12 14:28:02.001496", "failed": true, "item": "SeDiskOperatorPrivilege",
"rc": 255, "start": "2016-12-12 14:28:01.964232", "stderr": "smb_signing_good: BAD SIG: seq 1\nCo
uld not connect to server 127.0.0.1\nConnection failed: NT_STATUS_ACCESS_DENIED", "stdout": "", "s
tdout_lines": [], "warnings": []}
failed: [localhost] (item=SeTakeOwnershipPrivilege) => {"changed": true, "cmd": ["net", "rpc", "ri
ghts", "grant", "Domain Admins", "SeTakeOwnershipPrivilege", "-U", "admin%antani"], "delta": "0:00
:00.039792", "end": "2016-12-12 14:28:02.154573", "failed": true, "item": "SeTakeOwnershipPrivileg
e", "rc": 255, "start": "2016-12-12 14:28:02.114781", "stderr": "smb_signing_good: BAD SIG: seq 1\
nCould not connect to server 127.0.0.1\nConnection failed: NT_STATUS_ACCESS_DENIED", "stdout": "",
"stdout_lines": [], "warnings": []}

NO MORE HOSTS LEFT ***xdxkkhrxkhhhrkhhhrrhhhhxdhkhhrrk kb hxkkhhhkdkkhhkxdkhhrxkhhrhxkk

to retry, use: —--limit @/usr/share/fuss-server/fuss-server.retry

PLAY RECAP KA A AR AR AR A A A A AR AR A AR A AR AR A A A A AR AR AR A A A A AR AR A AR A AR AR A AR AR AR AR AR Ak, K

localhost : ok=55 changed=4 unreachable=0 failed=1
Subtasks:
Segnalazione # 111: Samba: altri errori Chiuso

History

#1 - 12/12/2016 02:32 PM - Christopher R. Gabriel

Provando a fare come indica in output:

NO MORE HOSTS LEFT R R R R R R R R R R R R R R R R R R R R R

to retry, use: --limit @/usr/share/fuss-server/fuss-server.retry

PLAY RECAP R R R R R R R R R R R R R R R R R R R R R R R

localhost : ok=55 changed=4 unreachable=0 failed=1

root@server:~# fuss-server create --limit @/usr/share/fuss-server/fuss-server.retry

usage: fuss-server [-h] {create,purge,configure,test}

fuss-server: error: unrecognized arguments: —--limit @/usr/share/fuss-server/fuss-server.retry

#2 - 12/12/2016 02:48 PM - Elena Grandi

- Assignee set to Simone Piccardi

#3 - 12/13/2016 10:44 AM - Simone Piccardi
- Status changed from Nuovo to Commenti

- Assignee changed from Simone Piccardi to Christopher R. Gabriel

Il problema che aveva portato a questo € un errore (corretto) con il template dei dati da inserire su LDAP che non caricava gli utenti admin e nobody.
Il problema di #111 & diverso.

#4 - 12/13/2016 10:45 AM - Christopher R. Gabriel

- Status changed from Commenti to Chiuso

#5 - 12/13/2016 11:07 AM - Elena Grandi

Per il --limit, ho aggiunto I'opzione a fuss-server, che viene ignorata (in teoria, dovremmo fare in modo che il playbook non fallisca e che quindi
I'opzione non venga mai richiesta, in pratica, se anche fallisce usare --limit non cambia le cose, e non usarlo al massimo fa impiegare piu tempo
all'elaborazione).
https://work.fuss.bz.it/issues/111
http://www.tcpdf.org

